[Launch]
ProgramExecutable=DriverBoosterPRO\DriverBooster.exe
WaitForEXE1 =AUpdate.exe
WaitForEXE2 =AutoNts.exe
WaitForEXE3 =AutoUpdate.exe
WaitForEXE4 =Backup.exe
WaitForEXE5 =Bugreport.exe
WaitForEXE6 =CareScan.exe
WaitForEXE7 =ChangeIcon.exe
WaitForEXE8 =DBDownloader.exe
WaitForEXE9 =DBInstaller.exe
WaitForEXE10=dpinst.exe
WaitForEXE11=DpInstX32.exe
WaitForEXE12=DpInstX64.exe
WaitForEXE13=DriverUpdate.exe
WaitForEXE14=FaultFixes.exe
WaitForEXE15=HWiNFO.exe
WaitForEXE16=ICONPIN32.exe
WaitForEXE17=ICONPIN64.exe
WaitForEXE18=InstStat.exe
WaitForEXE19=IObitDownloader.exe
WaitForEXE20=IObitRegister.exe
WaitForEXE21=NoteIcon.exe
WaitForEXE22=Promote.exe
WaitForEXE23=ScanDisp.exe
WaitForEXE24=ScanWinUpd.exe
WaitForEXE25=Scheduler.exe
WaitForEXE26=ScreenShot.exe
WaitForEXE27=SetupHlp.exe
WaitForEXE28=SysInfo.exe
WaitForEXE29=UpdateTips.exe
MinOS=XP
RunAsAdmin=force
DirectoryMoveOK=yes

[Activate]
Registry=true

[RegistryKeys]
-=HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Driver Booster_is1
-=HKLM\SOFTWARE\IObit\Driver Booster

[RegistryValueWrite]
HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Driver Booster_is1\InstallLocation=REG_SZ:%PAL:AppDir:DoubleBackslash%\\DriverBoosterPro
HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Driver Booster_is1\UninstallString=REG_SZ:%PAL:AppDir:DoubleBackslash%\\DriverBoosterPro\\6.1.0\\unins000.exe
HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Driver Booster_is1\DisplayVersion=REG_SZ:6.1.0
HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Driver Booster_is1\DisplayIcon=REG_SZ:%PAL:AppDir:DoubleBackslash%\\DriverBoosterPro\\6.1.0\\DriverBooster.exe
HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Driver Booster_is1\DisplayName=REG_SZ:Driver Booster 6.1
HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Driver Booster_is1\Publisher=REG_SZ:IObit
HKLM\SOFTWARE\Microsoft\Windows\CurrentVersion\Uninstall\Driver Booster_is1\InstallDate=REG_SZ:20181119

[RegistryCleanupIfEmpty]
1=HKLM\SOFTWARE\IObit

[FilesMove]
PD\Install.ini=%ALLUSERSAPPDATA%\IObit
LLAD\AC.ini=%LOCALLOWAPPDATA%\IObit
LLAD\AUpdate.ini=%LOCALLOWAPPDATA%\IObit

[DirectoriesMove]
AD\Driver Booster=%APPDATA%\IObit\Driver Booster
PD\Driver Booster=%ALLUSERSAPPDATA%\IObit\Driver Booster
PD\ProductData=%ALLUSERSAPPDATA%\ProductData
DataWorks\=%APPDATA%\DataWorks
Scan=%PAL:AppDir%\\DriverBoosterPRO\Database\Scan
ScanData=%PAL:AppDir%\\DriverBoosterPRO\ScanData
-=%ALLUSERSAPPDATA%\IObit\ASCDownloader
-=%ALLUSERSAPPDATA%\IObit\IObitRtt
; -=%HOMEDRIVE%\Users\All Users\IObit
; -=%HOMEDRIVE%\Users\All Users\ProductData
-=%SYSTEMROOT%\IObit

[DirectoriesCleanupIfEmpty]
1=%APPDATA%\IObit
2=%LOCALLOWAPPDATA%\IObit
3=%ALLUSERSAPPDATA%\IObit\ASCDownloader
4=%ALLUSERSAPPDATA%\IObit\Driver Booster
5=%ALLUSERSAPPDATA%\IObit\IObitRtt
; 2=%HOMEDRIVE%\Users\All Users
; 3=%HOMEDRIVE%\Users

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir%\
Replace=%PAL:Drive%%PAL:PackagePartialDir%\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Find=%PAL:LastPortableAppsBaseDir%\
Replace=%PAL:PortableAppsBaseDir%\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

;=== initial values
[FileWrite4]
Type=Replace
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Find=INITDOWNPATH
Replace=%PAL:DataDir%\Downloads

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Find=INITBACKPATH
Replace=%PAL:DataDir%\Backups

;=== default values
[FileWrite6]
Type=INI
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Section=General
Key=AutoRun
Value=0

[FileWrite7]
Type=INI
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Section=General
Key=CloseAction
Value=0

[FileWrite8]
Type=INI
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Section=Misc
Key=PullTrayIcon
Value=0

[FileWrite9]
Type=INI
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Section=AutoUpdate
Key=UpdateType
Value=0

[FileWrite10]
Type=INI
File=%PAL:DataDir%\AD\Driver Booster\Config.ini
Section=Main
Key=Version
Value=4.5
